{{- range $index, $currentStage := .Values.stages }}
{{- if eq $currentStage.active true }}
{{- if eq $currentStage.redis.useRedis true }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  labels:
    app: {{ $.Values.okd_project_name }}-{{ $index }}
  name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
spec:
  accessModes:
  - ReadWriteMany
  resources:
    requests:
      storage: {{ $.Values.files.redis_storage }}
---
{{- end }}
{{- end }}
{{- end }}